%define	name		simgear
%define	oname		SimGear
%define	version		2.0.0
%define subrel 1
%define	release		%mkrel 1
%define	lib_major	%{version}
%define	lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} -d

Summary:	Basic tools for Simulation
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.simgear.org/
License:	LGPLv2+ and GPLv2+
Group:		System/Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		ftp://ftp.simgear.org/pub/simgear/Source/%{oname}-%{version}.tar.gz
Patch0:		SimGear-0.3.10-fix-x86_64.patch.bz2

# Fedora patches
Patch100:		SimGear-2.0.0-shared.patch
Patch101:		SimGear-2.0.0-untangle-sg_path.patch
Patch102:		SimGear-2.0.0-untangle-cloudfield.patch
Patch103:		SimGear-2.0.0-untangle-timestamp.patch
Patch104:		SimGear-2.0.0-more-archs.patch
Patch200:	SimGear-1.9.0-headers.patch

BuildRequires:	autoconf2.5
BuildRequires:	plib
BuildRequires:  Mesa-common-devel 
BuildRequires:  zlib-devel 
BuildRequires:  openal-devel
BuildRequires:  jpeg-devel
BuildRequires:	libfreealut-devel
BuildRequires:	openscenegraph-devel
BuildRequires:	boost-devel
# Author: Curtis Olson <curt@flightgear.org>

%description
All the basic routines required for the flight simulator as well as for
building scenery. Needed for FlightGear, for example.

%package -n %{lib_name}
Summary:	Basic tools for simulation
Group:		System/Libraries
Provides:	libsimgear = %{version}-%{release}

%description -n %{lib_name}
This package contains the libraries for applications that use
%{name},for example FlightGear.

%package -n %{lib_name_devel}
Summary:	Headers/misc for developing programs that will use %{name}
Group:		Development/C++
Requires:	%{lib_name} = %{version}-%{release}
Obsoletes:	SimGear-devel
Obsoletes:	%mklibname %{name} -d 0
Provides:	%mklibname %{name} -d 0 = %{version}-%{release}
Provides:	SimGear-devel = %{version}-%{release} 
Provides:	simgear-devel = %{version}-%{release}
Provides:	libsimgear-devel = %{version}-%{release}

%description -n	%{lib_name_devel}
This package contains the headers that programmers will need to develop
applications which will use %{name}, for example FlightGear.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1
# automake / autoconf input file changes
%patch100 -p1
# Some circular dependcy fixing, see bz 208678
%patch101 -p1 -b .sg_path
%patch102 -p1 -b .cloudfield
%patch103 -p1 -b .timestamp
# Fix compiling on pcc and alpha
%patch104 -p1

%build
autoreconf -fis
# (peroyvind) seems to build now:)
%configure2_5x --with-jpeg-factory --disable-static
# Don't use rpath!   
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
# We do not want -lm by default!
sed -i 's/ -lm / /g' libtool

# (peroyvind) does'nt seem to handle several jobs, so don't use any macro
make base_LIBS= openal_LIBS="-lalut -lopenal" \
  opengl_LIBS="-lglut -lGLU -lGL -lXmu -lXt -lSM -lICE -lXi -lXext -lX11"

%install
rm -rf %{buildroot}
%{makeinstall_std}
# Don't really need the .la files.
rm -rf %{buildroot}%{_libdir}/*.la

# These two headers have a useless conditional when they're not internal.
# This cleans them up.
cd %{buildroot}%{_includedir}/simgear/
patch -p0 < %{PATCH200}

%clean
rm -rf %{buildroot}

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/lib*-%{version}.so

%files -n %{lib_name_devel}
%defattr(-, root, root)
%doc README COPYING AUTHORS NEWS
%{_includedir}/simgear/
%{_libdir}/libsgbucket.so
%{_libdir}/libsgbvh.so
%{_libdir}/libsgdebug.so
%{_libdir}/libsgenvironment.so
%{_libdir}/libsgephem.so
%{_libdir}/libsgio.so
%{_libdir}/libsgmagvar.so
%{_libdir}/libsgmaterial.so
%{_libdir}/libsgmath.so
%{_libdir}/libsgmisc.so
%{_libdir}/libsgmodel.so
%{_libdir}/libsgnasal.so
%{_libdir}/libsgprops.so
%{_libdir}/libsgroute.so
%{_libdir}/libsgscreen.so
%{_libdir}/libsgserial.so
%{_libdir}/libsgsky.so
%{_libdir}/libsgsound.so
%{_libdir}/libsgstructure.so
%{_libdir}/libsgtgdb.so
%{_libdir}/libsgthreads.so
%{_libdir}/libsgtiming.so
%{_libdir}/libsgutil.so
%{_libdir}/libsgxml.so


%changelog
* Thu Apr 28 2011 Funda Wang <fwang@mandriva.org> 2.0.0-1.1mdv2010.1
+ Revision: 659784
- rebuild for new osg

* Tue Mar 02 2010 Frederik Himpe <fhimpe@mandriva.org> 2.0.0-1mdv2010.1
+ Revision: 513660
- Update to new version 2.0.0
- Sync patches with Fedora
- Don't run autogen.sh but use autoreconf because the former does
  not work

* Sat Aug 22 2009 Funda Wang <fwang@mandriva.org> 1.9.1-2mdv2010.0
+ Revision: 419658
- fix installation

* Mon Mar 02 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.1-2mdv2009.1
+ Revision: 347580
- Apply ugly Fedora hack to fix pulling in simgear_config.h when
  HAVE_CONFIG_H is defined
  (https://bugzilla.redhat.com/show_bug.cgi?id=208678)
- Improve Provides of the devel package

* Mon Mar 02 2009 Frederik Himpe <fhimpe@mandriva.org> 1.9.1-1mdv2009.1
+ Revision: 347521
- Update to new version 1.9.1
- Build only dynamic libraries instead of static ones, create new
  lib package to contain libraries, and use the version as some kind
  of fake major
- Add Fedora patches
- Don't use rpath (Fedora)
- Improve linking (Fedora)
- Add openscenegraph and boost buildrequires
- Fix license
- Don't use -fno-omit-frame-pointer: it builds fine now without
  this flag with gcc 4.3

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 1.0.0-4mdv2009.0
+ Revision: 260675
- rebuild
- rebuild
- fix no-buildroot-tag

* Thu Dec 20 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.0-1mdv2008.1
+ Revision: 135957
- updated to version 1.0.0

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - import simgear


* Sat Jul 29 2006 Bertrand Coconnier <bcoconni@hotmail.com> 0.3.10-3mdk
- Build for x86_64
- Remove dependency

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.10-2mdk
- Add BuildRequires

* Wed Apr 19 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.10-1mdk
- 0.3.10

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.3.9-2mdk
- fix changelog

* Mon Nov 21 2005 Lenny Cartier <lenny@mandriva.com> 0.3.9-1mdk
- 0.3.9

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.8-1mdk
- 0.3.8

* Sat Oct 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.7-1mdk
- 0.3.7

* Thu Aug 05 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.6-1mdk
- 0.3.6
- fix buildrequires
- compile with Norman's jpeg image factory support

* Wed Jun 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.5-3mdk
- rebuild

* Tue Jun 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.5-2mdk
- rebuild

* Thu Apr 01 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.5-1mdk
- 0.3.5
- fix buildrequires (lib64..)

* Mon Oct 27 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.3.4-1mdk
- 0.3.4

* Wed Mar 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-4mdk
- rm -rf before makeinstall to make package short-circuitable..
- removed unneeded prefix macro

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.3.1-3mdk
- added zlib-devel to BuildRequires
- use a couple of macros for installing and building
- drop unapplied patch
- nicer formatting
- use mklibname macro

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-2mdk
- rebuild

* Thu Dec 19 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1

* Tue Sep 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-1mdk
- from Crispin Boylan <viewtronix@uklinux.net> :
	- new version

* Fri Sep 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.0.18-3mdk
- rebuild

* Wed May 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.18-2mdk
- recompile against latest libstdc++

* Mon Apr 22 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.18-1mdk
- new version

* Tue Feb 19 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.17-1mdk
- new version (using external zlib btw)
- true license is LGPL, not GPL

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.16-2mdk
- lib policy
- fix invalid-spec-name simgear.spec
- fix obsolete-tag Copyright 

* Mon Jul 23 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.16-1mdk
- new version

* Fri Jun 22 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.15-2mdk
- rebuild against new plib

* Thu Jun 21 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.15-1mdk
- version 0.0.15

* Fri Mar 30 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-4mdk
- use no-omit-frame-pointer to workaround g++ exceptions bug

* Fri Mar  9 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-3mdk
- rebuild fix fixed plib

* Fri Jan  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-2mdk
- rebuild

* Wed Dec 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.14-1mdk
- 0.0.14 which is needed for latest FlightGear

* Tue Sep 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.13-1mdk
- 0.0.13 which is needed for latest FlightGear

* Tue Sep 26 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.12-2mdk
- simple rebuild

* Mon Jul 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.12-1mdk
- 0.0.12

* Thu Jun 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.10-1mdk
- first Mandrake Package

